Skip to main content
GET
/
vault
/
asset_wallets
TypeScript
const response: Promise<FireblocksResponse<PaginatedAssetWalletResponse>> = fireblocks.vaults.getAssetWallets(vaultsApiGetAssetWalletsRequest);
{
  "assetWallets": [
    {
      "vaultId": "<string>",
      "assetId": "<string>",
      "available": "<string>",
      "total": "<string>",
      "pending": "<string>",
      "staked": "<string>",
      "frozen": "<string>",
      "lockedAmount": "<string>",
      "blockHeight": "<string>",
      "blockHash": "<string>",
      "creationTimestamp": "<string>"
    }
  ],
  "paging": {
    "before": "<string>",
    "after": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

totalAmountLargerThan
number

When specified, only vault wallets with total balance greater than this amount are returned.

assetId
string

When specified, only vault wallets with the specified ID are returned.

orderBy
enum<string>
default:DESC
Available options:
ASC,
DESC
before
string

Fetches the next paginated response before this element. This element is a cursor and is returned at the response of the previous page.

after
string

Fetches the next paginated response after this element. This element is a cursor and is returned at the response of the previous page.

limit
number
default:200

The maximum number of vault wallets in a single response.

The default is 200 and the maximum is 1000.

Required range: 1 <= x <= 1000

Response

200 - application/json

A PaginatedAssetWalletResponse object

assetWallets
object[]
paging
object